Skip to content

L3l4 Network Traffic Query.

POST
/api/infraprotect/namespaces/{namespace}/graph/l3l4/by_network/{network_id}
curl --request POST \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/infraprotect/namespaces/example/graph/l3l4/by_network/example \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "end_time": "2026-04-15T12:00:00Z", "namespace": "example", "network_id": "example", "start_time": "2026-04-15T12:00:00Z", "traffic_unit": "TrafficUnitUnknown" }'

Request to GET l3l4 Network Traffic data.

Examples of this operation.

namespace
required
string

Namespace This request is supported only in system namespace.

network_id
required
string

NetworkId The network ID.

Media typeapplication/json
l3l4 Network Request

Used to display Network (aka protocol) by tenant.

object
end_time
End time

End time of metric collection from which data will be considered to build graph.

Optional: If not specified, then the end_time will be evaluated to

string format: date-time
<= 1024 characters
namespace
Namespace

This request is supported only in system namespace.

string
>= 6 characters <= 1024 characters
network_id
NetworkId

The network ID.

string
<= 1024 characters
start_time
Start time

Start time of metric collection from which data will be considered to build graph.

Optional: If not specified, then the start_time will be evaluated to -3d.

string format: date-time
<= 1024 characters
traffic_unit
string
default: TrafficUnitUnknown
Allowed values: TrafficUnitUnknown TrafficUnitBps TrafficUnitPps

A successful response.

Media typeapplication/json
l3l4 Network Response

Response for Network Traffic.

object
in
All input data

List of data.

Array<object>
L3L4Metric
object
name
Name

Human-readable name for the resource

string
>= 6 characters <= 1024 characters
values
Values

List of data.

Array<object>
L3L4GraphValue

Each metric value consists of a timestamp and a value. Timestamp in the Metric Value is based on the start_time, end_time and step in the request. Valid values for timestamp are t1=start_time, t2=t1+step, t3=t2+step, … Tn=tn-1+step, where tn <= end_time. Response may not contain values for all timestamps between start_time and end_time.

object
timestamp
Timestamp

UTC timestamp in RFC3339.

string format: date-time
<= 1024 characters
value
Value

Metric value.

string
>= 3 characters <= 1024 characters
out
All output data

List of data.

Array<object>
L3L4Metric
object
name
Name

Human-readable name for the resource

string
>= 6 characters <= 1024 characters
values
Values

List of data.

Array<object>
L3L4GraphValue

Each metric value consists of a timestamp and a value. Timestamp in the Metric Value is based on the start_time, end_time and step in the request. Valid values for timestamp are t1=start_time, t2=t1+step, t3=t2+step, … Tn=tn-1+step, where tn <= end_time. Response may not contain values for all timestamps between start_time and end_time.

object
timestamp
Timestamp

UTC timestamp in RFC3339.

string format: date-time
<= 1024 characters
value
Value

Metric value.

string
>= 3 characters <= 1024 characters
Examplegenerated
{
"in": [
{
"name": "example",
"values": [
{
"timestamp": "2026-04-15T12:00:00Z",
"value": "example"
}
]
}
],
"out": [
{
"name": "example",
"values": [
{
"timestamp": "2026-04-15T12:00:00Z",
"value": "example"
}
]
}
]
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example